> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 1 - Client Registration

Through this endpoint, the partner registers and updates a record of an individual or legal entity for which payment will be made. The registered information can include general, contact, and financial details. This procedure must be executed before any other endpoint related to the Person API.

<Expandable title="Messages">
  | Categoria | Operação           | Ação   | Código | Código Detalhado | Mensagem                                         |
  | --------- | ------------------ | ------ | ------ | ---------------- | ------------------------------------------------ |
  | Pessoa    | CreateUpdatePessoa | Salvar | C0041  | V0001            | Documento não é PF ou PJ                         |
  | Pessoa    | CreateUpdatePessoa | Salvar | C0041  | V0002            | Dados da PF devem ser enviados                   |
  | Pessoa    | CreateUpdatePessoa | Salvar | C0041  | V0003            | Dados da PJ devem ser enviados                   |
  | Pessoa    | CreateUpdatePessoa | Salvar | C0041  | V0004            | Dados de Contato devem ser enviados              |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0001            | Tipo de Parceiro inválido                        |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0002            | CPF Inválido                                     |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0003            | CNPJ Inválido                                    |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0004            | Documento já cadastrado                          |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0005            | Documento já cadastrado em outro registro        |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0006            | Nome deve ser informado                          |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0007            | Origem de Cliente inválido                       |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0008            | Informe o campo \[Cliente Desde]                 |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0596  | D0009            | Atividade Profissional Inválida                  |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0617  | D0001            | CPF do Cônjuge é inválido                        |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0617  | D0002            | Cliente menor de 18 anos                         |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0617  | D0003            | Cliente tem mais de 80 anos                      |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0617  | D0004            | Gênero inválido                                  |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0617  | D0005            | Estado Civil não localizado                      |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0617  | D0006            | Escolaridade não localizada                      |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0618  | D0001            | CPF do Responsável da Empresa é inválido         |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0001            | E-mail inválido                                  |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0002            | Informe o Telefone Fixo 1 com DDD                |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0003            | Informe o Telefone Fixo 2 com DDD                |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0004            | Informe o Telefone Celular 1 com DDD             |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0005            | Informe o Telefone Celular 2 com DDD             |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0006            | Informe o Telefone Fax com DDD                   |
  | Pessoa    | CreateUpdatePessoa | Salvar | T0604  | D0007            | Deve existir pelo menos um telefone para contato |
</Expandable>


## OpenAPI

````yaml post /Pessoa/Salvar
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Pessoa.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Pessoa/Salvar:
    post:
      tags:
        - Pessoa
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUpdatePessoaCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateUpdatePessoaCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateUpdatePessoaCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateUpdatePessoaResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUpdatePessoaResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateUpdatePessoaResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    CreateUpdatePessoaCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/PessoaDTO'
      additionalProperties: false
    CreateUpdatePessoaResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        codigo:
          type: string
          format: uuid
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    PessoaDTO:
      required:
        - documentoFederal
        - nome
      type: object
      properties:
        codigo:
          type: string
          nullable: true
        nome:
          maxLength: 255
          minLength: 0
          type: string
          description: Nome da Pessoa
          nullable: true
        documentoFederal:
          maxLength: 20
          minLength: 0
          type: string
          description: >-
            Número do Documento de Cadastro de Pessoas Físicas (CPF) e Documento
            do Cadastro Nacional de Pessoas Jurídicas (CNPJ) com ou sem
            formatação
          nullable: true
        identificadorEmpresaERP:
          maxLength: 50
          minLength: 0
          type: string
          description: Identificador da pessoa no sistema ERP do parceiro
          nullable: true
        codigoAtividadeProfissional:
          maximum: 9999
          minimum: 0
          type: integer
          description: Código Atividade Profissional
          format: int32
          nullable: true
        textoInfoHistCliente:
          maxLength: 2000
          minLength: 0
          type: string
          description: >-
            Texto com informações gerais da pessoa que podem ser utilizadas para
            análise da proposta
          nullable: true
        score:
          type: string
          description: Score do Cliente
          nullable: true
        rating:
          type: string
          description: Rating do Cliente
          nullable: true
        pf:
          $ref: '#/components/schemas/PessoaPFDTO'
        pj:
          $ref: '#/components/schemas/PessoaPJDTO'
        pessoaDadosContato:
          $ref: '#/components/schemas/PessoaDadosContatoDTO'
        pessoaDadoFinanceiro:
          $ref: '#/components/schemas/PessoaDadoFinanceiroDTO'
        pessoaQualificacao:
          $ref: '#/components/schemas/PessoaQualificacaoDTO'
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    PessoaPFDTO:
      type: object
      properties:
        apelido:
          maxLength: 50
          minLength: 0
          type: string
          description: Apelido da pessoa
          nullable: true
        rg:
          maxLength: 20
          minLength: 0
          type: string
          description: Registro Geral (RG) da pessoa
          nullable: true
        rgOrgao:
          maxLength: 10
          minLength: 0
          type: string
          description: Órgão de emissão do Registro Geral (RG)
          nullable: true
        rguf:
          maxLength: 2
          minLength: 0
          type: string
          description: Órgão de emissão do Registro Geral (RG)
          nullable: true
        rgData:
          type: string
          description: Data de emissão do Registro Geral (RG)
          format: YYYY-MM-DDTHH:mm:ss.fffZ
          nullable: true
        dtNasc:
          type: string
          description: Data de Nascimento
          format: YYYY-MM-DDTHH:mm:ss.fffZ
          nullable: true
        sexo:
          maxLength: 1
          minLength: 0
          type: string
          description: “M” – Masculino e “F” - Feminino
          nullable: true
        nacionalidade:
          maxLength: 40
          minLength: 0
          type: string
          description: Natural do País
          nullable: true
        naturalDeCidade:
          maxLength: 40
          minLength: 0
          type: string
          description: Cidade de Naturalização
          nullable: true
        naturalDeUF:
          maxLength: 2
          minLength: 0
          type: string
          description: Unidade Federal (UF) de Naturalização
          nullable: true
        estadoCivil:
          maximum: 9999
          minimum: 0
          type: integer
          description: Consultar tabela de estado civil. Se “Casado” deve informar cônjuge
          format: int32
          nullable: true
        escolaridade:
          maximum: 9999
          minimum: 0
          type: integer
          description: Consultar tabela de escolaridade
          format: int32
          nullable: true
        nomeCargo:
          type: string
          nullable: true
        tipoOcupacao:
          maximum: 9999
          minimum: 0
          type: integer
          description: Consultar tabela de tipo de ocupação
          format: int32
          nullable: true
        outrasRendas:
          maxLength: 255
          minLength: 0
          type: string
          description: Texto para descrever valor de outras rendas
          nullable: true
        vlrOutrasRendas:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor proveniente de outras rendas
          format: 10^16
          nullable: true
        nomePai:
          maxLength: 60
          minLength: 0
          type: string
          description: Nome do pai
          nullable: true
        telefonePai:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone de contato do Pai
          nullable: true
        emailPai:
          maxLength: 60
          minLength: 0
          type: string
          description: E-mail do Pai
          nullable: true
        nomeMae:
          maxLength: 60
          minLength: 0
          type: string
          description: Nome da Mãe
          nullable: true
        telefoneMae:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone de contato da Mãe
          nullable: true
        emailMae:
          maxLength: 60
          minLength: 0
          type: string
          description: E-mail da Mãe
          nullable: true
        nomeConjuge:
          maxLength: 60
          minLength: 0
          type: string
          description: Nome do Cônjuge
          nullable: true
        dtNascConjuge:
          type: string
          description: Data de Nascimento do Cônjuge
          format: YYYY-MM-DDTHH:mm:ss.fffZ
          nullable: true
        telefoneFixoConjuge:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone fixo do Cônjuge
          nullable: true
        telefoneCelularConjuge:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone celular do Cônjuge
          nullable: true
        emailConjuge:
          maxLength: 60
          minLength: 0
          type: string
          description: E-mail do Cônjuge
          nullable: true
        tempoCasadoConjuge:
          maximum: 9999
          minimum: 0
          type: integer
          description: Tempo de casado em anos
          format: int32
          nullable: true
        cpfConjuge:
          maxLength: 20
          minLength: 0
          type: string
          description: >-
            Número do Documento de Cadastro de Pessoas Físicas (CPF) do Cônjuge.
            Se informado deve ser válido
          nullable: true
        rgConjuge:
          maxLength: 20
          minLength: 0
          type: string
          description: Número do Registro Geral (RG) do Cônjuge
          nullable: true
        rgOrgaoConjuge:
          maxLength: 10
          minLength: 0
          type: string
          description: Órgão de emissão do Registro Geral (RG) do Cônjuge
          nullable: true
        rgufConjuge:
          maxLength: 2
          minLength: 0
          type: string
          description: Unidade Federal (UF) de emissão do Registro Geral (RG) do Cônjuge
          nullable: true
        rgDataConjuge:
          type: string
          description: Data de emissão do Registro Geral (RG) do Cônjuge
          format: YYYY-MM-DDTHH:mm:ss.fffZ
          nullable: true
        mostrarConjugeCCB:
          type: boolean
          description: >-
            Indica se mostra o Cônjuge na Cédula de Crédito Bancária (CCB). Para
            propostas empresariais
          nullable: true
        fielDepositario:
          type: boolean
          description: Indica se o cônjuge é Fiel Depositário
          nullable: true
        terceiroGarantidor:
          type: boolean
          description: Indica se o cônjuge é Terceiro Garantidor
          nullable: true
      additionalProperties: false
    PessoaPJDTO:
      type: object
      properties:
        nomeFantasia:
          maxLength: 60
          minLength: 0
          type: string
          description: Nome fantasia da empresa
          nullable: true
        documentoEstadual:
          maxLength: 20
          minLength: 0
          type: string
          description: Inscrição Estadual
          nullable: true
        documentoMunicipal:
          maxLength: 20
          minLength: 0
          type: string
          description: Inscrição Municipal
          nullable: true
        dtAberturaEmpresa:
          type: string
          description: Data de abertura da empresa
          format: YYYY-MM-DDTHH:mm:ss.fffZ
          nullable: true
        nomeResponsavelEmpresa:
          maxLength: 60
          minLength: 0
          type: string
          description: Nome do Responsável da empresa
          nullable: true
        cpfResponsavelEmpresa:
          maxLength: 20
          minLength: 0
          type: string
          description: >-
            Número do Cadastro de Pessoa Física (CPF) do Responsável da empresa.
            Se informado deve ser válido
          nullable: true
        rgResponsavelEmpresa:
          maxLength: 20
          minLength: 0
          type: string
          description: Registro Geral (RG) do Responsável da empresa
          nullable: true
        codigoRede:
          type: string
          description: Código do parceiro
          format: uuid
          nullable: true
      additionalProperties: false
    PessoaDadosContatoDTO:
      type: object
      properties:
        email:
          maxLength: 60
          minLength: 0
          type: string
          description: E-mail de contato
          nullable: true
        telefoneFixo1:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone fixo
          nullable: true
        telefoneFixo2:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone fixo
          nullable: true
        telefoneCelular1:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone fixo
          nullable: true
        telefoneCelular2:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone fixo
          nullable: true
        telefoneFax:
          maxLength: 20
          minLength: 0
          type: string
          description: Telefone fixo
          nullable: true
        paginaWeb:
          maxLength: 255
          minLength: 0
          type: string
          description: Endereço de Internet
          nullable: true
      additionalProperties: false
    PessoaDadoFinanceiroDTO:
      type: object
      properties:
        ano1:
          type: integer
          format: int32
          nullable: true
        ano1VlrAtivoCirculante:
          type: number
          format: double
          nullable: true
        ano1VlrAtivoImobilizado:
          type: number
          format: double
          nullable: true
        ano1VlrCapitalTerceiros:
          type: number
          format: double
          nullable: true
        ano1VlrReceitaOperacionalBruta:
          type: number
          format: double
          nullable: true
        ano1VlrDisponibilidade:
          type: number
          format: double
          nullable: true
        ano1VlrEstoque:
          type: number
          format: double
          nullable: true
        ano1VlrPassivoCirculante:
          type: number
          format: double
          nullable: true
        ano1VlrResultadoOperacionalBruto:
          type: number
          format: double
          nullable: true
        ano1VlrPatrimonioLiquido:
          type: number
          format: double
          nullable: true
        ano1VlrPassivoNaoCirculante:
          type: number
          format: double
          nullable: true
        ano1VlrAtivoNaoCirculante:
          type: number
          format: double
          nullable: true
        ano1VlrReceitaOperacionalLiquida:
          type: number
          format: double
          nullable: true
        ano2:
          type: integer
          format: int32
          nullable: true
        ano2VlrAtivoCirculante:
          type: number
          format: double
          nullable: true
        ano2VlrAtivoImobilizado:
          type: number
          format: double
          nullable: true
        ano2VlrCapitalTerceiros:
          type: number
          format: double
          nullable: true
        ano2VlrReceitaOperacionalBruta:
          type: number
          format: double
          nullable: true
        ano2VlrDisponibilidade:
          type: number
          format: double
          nullable: true
        ano2VlrEstoque:
          type: number
          format: double
          nullable: true
        ano2VlrPassivoCirculante:
          type: number
          format: double
          nullable: true
        ano2VlrResultadoOperacionalBruto:
          type: number
          format: double
          nullable: true
        ano2VlrPatrimonioLiquido:
          type: number
          format: double
          nullable: true
        ano2VlrPassivoNaoCirculante:
          type: number
          format: double
          nullable: true
        ano2VlrAtivoNaoCirculante:
          type: number
          format: double
          nullable: true
        ano2VlrReceitaOperacionalLiquida:
          type: number
          format: double
          nullable: true
        ano3:
          type: integer
          format: int32
          nullable: true
        ano3VlrAtivoCirculante:
          type: number
          format: double
          nullable: true
        ano3VlrAtivoImobilizado:
          type: number
          format: double
          nullable: true
        ano3VlrCapitalTerceiros:
          type: number
          format: double
          nullable: true
        ano3VlrReceitaOperacionalBruta:
          type: number
          format: double
          nullable: true
        ano3VlrDisponibilidade:
          type: number
          format: double
          nullable: true
        ano3VlrEstoque:
          type: number
          format: double
          nullable: true
        ano3VlrPassivoCirculante:
          type: number
          format: double
          nullable: true
        ano3VlrResultadoOperacionalBruto:
          type: number
          format: double
          nullable: true
        ano3VlrPatrimonioLiquido:
          type: number
          format: double
          nullable: true
        ano3VlrPassivoNaoCirculante:
          type: number
          format: double
          nullable: true
        ano3VlrAtivoNaoCirculante:
          type: number
          format: double
          nullable: true
        ano3VlrReceitaOperacionalLiquida:
          type: number
          format: double
          nullable: true
        faturamentoMes1:
          maxLength: 100
          minLength: 0
          type: string
          description: >-
            Descritivo do período. Exemplo: De janeiro de 2022 até dezembro de
            2022.
          nullable: true
        vlrFaturamentoMes1:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes2:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes3:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes4:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes5:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes6:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes7:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes8:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes9:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes10:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes11:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes12:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        irMes1:
          maxLength: 100
          minLength: 0
          type: string
          description: >-
            Descritivo do período. Exemplo: De janeiro de 2022 até dezembro de
            2022.
          nullable: true
        vlrIRMes1:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes2:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes3:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes4:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes5:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes6:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes7:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes8:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes9:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes10:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes11:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        vlrIRMes12:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Imposto de Renda (IR) do mês
          format: double
          nullable: true
        extratoMes1:
          maxLength: 100
          minLength: 0
          type: string
          description: >-
            Descritivo do período. Exemplo: De janeiro de 2022 até dezembro de
            2022.
          nullable: true
        vlrExtratoMes1:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes2:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes3:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes4:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes5:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes6:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes7:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes8:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes9:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes10:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes11:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrExtratoMes12:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de Extrato do mês
          format: double
          nullable: true
        vlrFaturamentoMes13:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes14:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes15:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes16:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes17:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes18:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes19:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes20:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes21:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes22:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes23:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        vlrFaturamentoMes24:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de faturamento do mês
          format: double
          nullable: true
        recebiveisMes1:
          maxLength: 100
          minLength: 0
          type: string
          description: >-
            Descritivo do período. Exemplo: De janeiro de 2022 até dezembro de
            2022.
          nullable: true
        vlrRecebiveisMes1:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes2:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes3:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes4:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes5:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes6:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes7:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes8:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes9:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes10:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes11:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        vlrRecebiveisMes12:
          maximum: 10000000000000000
          minimum: 0
          type: number
          description: Valor de recebíveis no mês
          format: double
          nullable: true
        anoMesInicioFaturamento:
          type: string
          description: Período inicial de faturamento
          format: YYYY-MM-DD
          nullable: true
        anoMesInicioRecebiveis:
          type: string
          description: Período inicial de recebíveis
          format: YYYY-MM-DD
          nullable: true
      additionalProperties: false
    PessoaQualificacaoDTO:
      type: object
      properties:
        codigo:
          type: string
          description: Será preenchido apenas pelo método SelectPessoa
          nullable: true
        codigoProfissao:
          maximum: 9999
          minimum: 0
          type: integer
          description: Consultar tabela de Profissões
          format: int32
          nullable: true
        vlrRenda:
          maximum: 99999999.9
          minimum: 0
          type: number
          description: Valor da Renda
          format: double
          nullable: true
        dtAdmissao:
          type: string
          description: Data de Admissão
          format: date-time
          nullable: true
        dtDemissao:
          type: string
          description: Data de demissão
          format: date-time
          nullable: true
        nroMatricula:
          maxLength: 20
          minLength: 1
          type: string
          description: Número de matricula
          nullable: true
        nomeEmpresa:
          maxLength: 60
          minLength: 1
          type: string
          description: Nome da Empresa.
          nullable: true
        cep:
          maxLength: 8
          minLength: 1
          type: string
          description: Código de endereçamento postal
          nullable: true
        logradouro:
          maxLength: 100
          minLength: 1
          type: string
          description: Logradouro
          nullable: true
        nroLogradouro:
          maxLength: 15
          minLength: 1
          type: string
          description: Número do Logradouro
          nullable: true
        bairro:
          maxLength: 50
          minLength: 1
          type: string
          description: Bairro
          nullable: true
        complemento:
          maxLength: 50
          minLength: 1
          type: string
          description: Complemento
          nullable: true
        cidade:
          maxLength: 40
          minLength: 1
          type: string
          description: Cidade
          nullable: true
        uf:
          maxLength: 2
          minLength: 1
          type: string
          description: 'Unidade Federativa (UF). Exemplo: SC (Sigla de Santa Catarina)'
          nullable: true
        telefoneFixo:
          maxLength: 20
          minLength: 1
          type: string
          description: Telefone de contato
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````